ERP Field Mapping¶
Get ERP Field Mapping By ID¶
HTTP Request
GET /api/v1/erp-field-mapping/{id}
📋 Description: Retrieves the ERP field mapping details for a specified identifier, facilitating accurate alignment of lease, contract, and financial obligation data within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved ERP field mapping |
||
400 |
Invalid ID supplied |
None |
|
404 |
ERP field mapping not found |
None |
|
500 |
Internal server error |
None |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 5000001,
8 "erpSystem": {
9 "id": "string",
10 "displayId": "Euro"
11 },
12 "principalPositionType": {
13 "name": "LESSEE",
14 "captionKey": "enum.principalpositiontype.lessee",
15 "caption": "Lessee"
16 },
17 "sourceTableName": {
18 "name": "MASTER_AGREEMENT",
19 "captionKey": "enum.SourceTable.field",
20 "caption": "MASTER_AGREEMENT"
21 },
22 "sourceField": {
23 "id": 67890,
24 "sourceFieldName": "CONTRACT_NUMBER",
25 "sourceFieldNameCaption": "Contract Number",
26 "sourceFieldNameDataType": {
27 "name": "MASTER_AGREEMENT",
28 "captionKey": "enum.SourceTable.field",
29 "caption": "MASTER_AGREEMENT"
30 },
31 "mappingId": 5000001
32 }
33 }
34}
Update ERP Field Mapping¶
HTTP Request
PUT /api/v1/erp-field-mapping/{id}
📋 Description: Updates the specified ERP field mapping entry in the Nakisa Lease Accounting Suite, allowing for adjustments to lease, contract, financial obligation, and accounting entry configurations to ensure accurate data alignment and reporting.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
false |
Request body containing the updated lease and contract field mapping data, including financial obligation details and accounting entry specifications. |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Body Parameters
1{
2 "id": 5000001,
3 "erpSystem": {
4 "id": "string",
5 "displayId": "Euro"
6 },
7 "principalPositionType": {
8 "name": "LESSEE",
9 "captionKey": "enum.principalpositiontype.lessee",
10 "caption": "Lessee"
11 },
12 "sourceTableName": {
13 "name": "MASTER_AGREEMENT",
14 "captionKey": "enum.SourceTable.field",
15 "caption": "MASTER_AGREEMENT"
16 },
17 "sourceField": {
18 "id": 67890,
19 "sourceFieldName": "CONTRACT_NUMBER",
20 "sourceFieldNameCaption": "Contract Number",
21 "sourceFieldNameDataType": {
22 "name": "MASTER_AGREEMENT",
23 "captionKey": "enum.SourceTable.field",
24 "caption": "MASTER_AGREEMENT"
25 },
26 "mappingId": 5000001
27 }
28}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
ERP field mapping updated successfully |
||
400 |
Invalid request body or ID supplied |
None |
|
404 |
ERP field mapping not found |
None |
|
500 |
Internal server error |
None |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 5000001,
8 "erpSystem": {
9 "id": "string",
10 "displayId": "Euro"
11 },
12 "principalPositionType": {
13 "name": "LESSEE",
14 "captionKey": "enum.principalpositiontype.lessee",
15 "caption": "Lessee"
16 },
17 "sourceTableName": {
18 "name": "MASTER_AGREEMENT",
19 "captionKey": "enum.SourceTable.field",
20 "caption": "MASTER_AGREEMENT"
21 },
22 "sourceField": {
23 "id": 67890,
24 "sourceFieldName": "CONTRACT_NUMBER",
25 "sourceFieldNameCaption": "Contract Number",
26 "sourceFieldNameDataType": {
27 "name": "MASTER_AGREEMENT",
28 "captionKey": "enum.SourceTable.field",
29 "caption": "MASTER_AGREEMENT"
30 },
31 "mappingId": 5000001
32 }
33 }
34}
Create Or Update ERP Field Mapping¶
HTTP Request
PUT /api/v1/erp-field-mapping/createOrUpdate
📋 Description: Updates or creates field mappings within the Nakisa Lease Accounting Suite, ensuring accurate alignment of lease, contract, financial obligation, and accounting entry data. This operation facilitates seamless integration and data consistency across financial reporting processes.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing the lease and contract field mapping data necessary for updating financial obligations and accounting entries within the Nakisa Lease Accounting Suite. |
Body Parameters
1{
2 "id": 5000001,
3 "erpSystem": {
4 "id": "string",
5 "displayId": "Euro"
6 },
7 "principalPositionType": {
8 "name": "LESSEE",
9 "captionKey": "enum.principalpositiontype.lessee",
10 "caption": "Lessee"
11 },
12 "sourceTableName": {
13 "name": "MASTER_AGREEMENT",
14 "captionKey": "enum.SourceTable.field",
15 "caption": "MASTER_AGREEMENT"
16 },
17 "sourceField": {
18 "id": 67890,
19 "sourceFieldName": "CONTRACT_NUMBER",
20 "sourceFieldNameCaption": "Contract Number",
21 "sourceFieldNameDataType": {
22 "name": "MASTER_AGREEMENT",
23 "captionKey": "enum.SourceTable.field",
24 "caption": "MASTER_AGREEMENT"
25 },
26 "mappingId": 5000001
27 }
28}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
ERP field mapping created or updated successfully |
||
400 |
Invalid request body |
None |
|
500 |
Internal server error |
None |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 5000001,
8 "erpSystem": {
9 "id": "string",
10 "displayId": "Euro"
11 },
12 "principalPositionType": {
13 "name": "LESSEE",
14 "captionKey": "enum.principalpositiontype.lessee",
15 "caption": "Lessee"
16 },
17 "sourceTableName": {
18 "name": "MASTER_AGREEMENT",
19 "captionKey": "enum.SourceTable.field",
20 "caption": "MASTER_AGREEMENT"
21 },
22 "sourceField": {
23 "id": 67890,
24 "sourceFieldName": "CONTRACT_NUMBER",
25 "sourceFieldNameCaption": "Contract Number",
26 "sourceFieldNameDataType": {
27 "name": "MASTER_AGREEMENT",
28 "captionKey": "enum.SourceTable.field",
29 "caption": "MASTER_AGREEMENT"
30 },
31 "mappingId": 5000001
32 }
33 }
34}
Bulk Create Or Update ERP Field Mappings¶
HTTP Request
PUT /api/v1/erp-field-mapping/createOrUpdate/bulk
📋 Description: Updates or creates multiple ERP field mappings in bulk within the Nakisa Lease Accounting Suite, facilitating efficient management of lease, contract, financial obligation, and accounting entry data.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing bulk lease and contract field mapping data, including financial obligations and accounting entries, for efficient updates within the Nakisa Lease Accounting Suite. |
Body Parameters
1[
2 {
3 "id": 5000001,
4 "erpSystem": {
5 "id": "string",
6 "displayId": "Euro"
7 },
8 "principalPositionType": {
9 "name": "LESSEE",
10 "captionKey": "enum.principalpositiontype.lessee",
11 "caption": "Lessee"
12 },
13 "sourceTableName": {
14 "name": "MASTER_AGREEMENT",
15 "captionKey": "enum.SourceTable.field",
16 "caption": "MASTER_AGREEMENT"
17 },
18 "sourceField": {
19 "id": 67890,
20 "sourceFieldName": "CONTRACT_NUMBER",
21 "sourceFieldNameCaption": "Contract Number",
22 "sourceFieldNameDataType": {
23 "name": "MASTER_AGREEMENT",
24 "captionKey": "enum.SourceTable.field",
25 "caption": "MASTER_AGREEMENT"
26 },
27 "mappingId": 5000001
28 }
29 }
30]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
ERP field mappings created or updated successfully |
||
400 |
Invalid request body |
None |
|
500 |
Internal server error |
None |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": []
5 },
6 "object": [
7 {
8 "id": 5000001,
9 "erpSystem": {
10 "id": "string",
11 "displayId": "Euro"
12 },
13 "principalPositionType": {
14 "name": "LESSEE",
15 "captionKey": "enum.principalpositiontype.lessee",
16 "caption": "Lessee"
17 },
18 "sourceTableName": {
19 "name": "MASTER_AGREEMENT",
20 "captionKey": "enum.SourceTable.field",
21 "caption": "MASTER_AGREEMENT"
22 },
23 "sourceField": {
24 "id": 67890,
25 "sourceFieldName": "CONTRACT_NUMBER",
26 "sourceFieldNameCaption": "Contract Number",
27 "sourceFieldNameDataType": {
28 "name": "MASTER_AGREEMENT",
29 "captionKey": "enum.SourceTable.field",
30 "caption": "MASTER_AGREEMENT"
31 },
32 "mappingId": 5000001
33 }
34 }
35 ]
36}
Bulk Update ERP Field Mappings¶
HTTP Request
PUT /api/v1/erp-field-mapping/bulk
📋 Description: Updates multiple ERP field mappings in bulk within the Nakisa Lease Accounting Suite, facilitating the alignment of lease, contract, and financial obligation data for accurate accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing bulk lease and contract field mapping data, including financial obligations and accounting entries for efficient integration within the Nakisa Lease Accounting Suite. |
Body Parameters
1[
2 {
3 "id": 5000001,
4 "erpSystem": {
5 "id": "string",
6 "displayId": "Euro"
7 },
8 "principalPositionType": {
9 "name": "LESSEE",
10 "captionKey": "enum.principalpositiontype.lessee",
11 "caption": "Lessee"
12 },
13 "sourceTableName": {
14 "name": "MASTER_AGREEMENT",
15 "captionKey": "enum.SourceTable.field",
16 "caption": "MASTER_AGREEMENT"
17 },
18 "sourceField": {
19 "id": 67890,
20 "sourceFieldName": "CONTRACT_NUMBER",
21 "sourceFieldNameCaption": "Contract Number",
22 "sourceFieldNameDataType": {
23 "name": "MASTER_AGREEMENT",
24 "captionKey": "enum.SourceTable.field",
25 "caption": "MASTER_AGREEMENT"
26 },
27 "mappingId": 5000001
28 }
29 }
30]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
ERP field mappings updated successfully |
||
400 |
Invalid request body |
None |
|
500 |
Internal server error |
None |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": []
5 },
6 "object": [
7 {
8 "id": 5000001,
9 "erpSystem": {
10 "id": "string",
11 "displayId": "Euro"
12 },
13 "principalPositionType": {
14 "name": "LESSEE",
15 "captionKey": "enum.principalpositiontype.lessee",
16 "caption": "Lessee"
17 },
18 "sourceTableName": {
19 "name": "MASTER_AGREEMENT",
20 "captionKey": "enum.SourceTable.field",
21 "caption": "MASTER_AGREEMENT"
22 },
23 "sourceField": {
24 "id": 67890,
25 "sourceFieldName": "CONTRACT_NUMBER",
26 "sourceFieldNameCaption": "Contract Number",
27 "sourceFieldNameDataType": {
28 "name": "MASTER_AGREEMENT",
29 "captionKey": "enum.SourceTable.field",
30 "caption": "MASTER_AGREEMENT"
31 },
32 "mappingId": 5000001
33 }
34 }
35 ]
36}
Search ERP Field Mappings With Filter¶
HTTP Request
POST /api/v1/erp-field-mapping/search
📋 Description: Submits a search request for ERP field mappings related to leases, contracts, financial obligations, and accounting entries, enabling efficient data retrieval and management within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
filter |
query |
true |
Filter criteria for searching ERP field mappings. |
|
page |
query |
integer |
false |
Page number (0-indexed) |
size |
query |
integer |
false |
Number of items per page |
sort |
query |
array[string] |
false |
Sorting criteria in format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1, Max: 100 |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved filtered list of ERP field mappings. |
Example Responses
1{
2 "totalElements": 10000001,
3 "totalPages": 100,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 100,
17 "size": 100,
18 "content": [],
19 "number": 0,
20 "sort": {
21 "unsorted": false,
22 "sorted": true,
23 "empty": false
24 },
25 "first": true,
26 "last": false,
27 "empty": false
28}
Get Nla Mapping Fields¶
HTTP Request
POST /api/v1/erp-field-mapping/mapping-nla-fields
📋 Description: Creates a mapping of NLA fields for leases and contracts, facilitating accurate financial obligation tracking and accounting entry integration within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing the mapping configuration for NLA fields related to lease, contract, financial obligation, and accounting entry data. |
Body Parameters
1{
2 "id": 5000001,
3 "erpSystem": {
4 "id": "string",
5 "displayId": "Euro"
6 },
7 "principalPositionType": {
8 "name": "LESSEE",
9 "captionKey": "enum.principalpositiontype.lessee",
10 "caption": "Lessee"
11 },
12 "sourceTableName": {
13 "name": "MASTER_AGREEMENT",
14 "captionKey": "enum.SourceTable.field",
15 "caption": "MASTER_AGREEMENT"
16 },
17 "sourceField": {
18 "id": 67890,
19 "sourceFieldName": "CONTRACT_NUMBER",
20 "sourceFieldNameCaption": "Contract Number",
21 "sourceFieldNameDataType": {
22 "name": "MASTER_AGREEMENT",
23 "captionKey": "enum.SourceTable.field",
24 "caption": "MASTER_AGREEMENT"
25 },
26 "mappingId": 5000001
27 }
28}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved NLA mapping fields |
Inline |
|
400 |
Invalid request body |
None |
|
500 |
Internal server error |
None |
Example Responses
1[
2 {
3 "id": 67890,
4 "sourceFieldName": "CONTRACT_NUMBER",
5 "sourceFieldNameCaption": "Contract Number",
6 "sourceFieldNameDataType": {
7 "name": "MASTER_AGREEMENT",
8 "captionKey": "enum.SourceTable.field",
9 "caption": "MASTER_AGREEMENT"
10 },
11 "mappingId": 5000001
12 }
13]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a source field within the Nakisa Lease Accounting Suite, encapsulating essential attributes related to leases, contracts, financial obligations, and accounting entries.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» sourceFieldName |
string |
true |
none |
Name of the source field |
» sourceFieldNameCaption |
string |
true |
none |
Caption representing the name of the source field associated with lease, contract, financial obligation, or accounting entry within the Nakisa Lease Accounting Suite. |
» sourceFieldNameDataType |
true |
none |
Represents the Source Field Values. |
|
»» name |
string |
false |
none |
Enum name representing the source field. |
»» captionKey |
string |
false |
none |
Source Field values. |
»» caption |
string |
false |
none |
Source Field Values. |
» mappingId |
integer(int64) |
false |
none |
Unique identifier for the mapping |
Enumerated Values
Attribute |
Value |
|---|---|
name |
ACTIVATION_GROUP_ACCOUNTING, ACTIVATION_GROUP_CLASSIFICATION, ACTIVATION_GROUP_USER_DEFINED, CHARGE, CONTRACT, CONTRACT_ACCOUNTING, CONTRACT_USER_DEFINED, LEASE_COMPONENT, LEASE_COMPONENT_USER_DEFINED, MASTER_AGREEMENT, MASTER_AGREEMENT_USER_DEFINED, UNIT, UNIT_USER_DEFINED |
Find All ERP Field Mappings¶
HTTP Request
POST /api/v1/erp-field-mapping/find-all-mappings
📋 Description: Fetches all ERP field mappings related to leases, contracts, financial obligations, and accounting entries within the Nakisa Lease Accounting Suite, facilitating streamlined data integration and management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing the criteria for retrieving all lease, contract, financial obligation, and accounting entry mappings within the Nakisa Lease Accounting Suite. |
Body Parameters
1{
2 "idIn": [
3 5000001,
4 5000002,
5 5000003
6 ],
7 "idEqual": 5000001,
8 "idLike": "5000",
9 "createdAtGreaterThanOrEqual": "2024-01-01T00:00:00Z",
10 "createdAtLessThanOrEqual": "2024-12-31T23:59:59Z",
11 "createdByLike": "john",
12 "createdByEqual": "john.doe@example.com",
13 "modifiedAtGreaterThanOrEqual": "2024-01-01T00:00:00Z",
14 "modifiedAtLessThanOrEqual": "2024-12-31T23:59:59Z",
15 "modifiedByLike": "jane",
16 "modifiedByEqual": "jane.smith@example.com",
17 "erpSystemIdEqual": 1001,
18 "erpSystemDisplayIdLike": "SAP",
19 "principalPositionTypeEqual": {
20 "name": "LESSEE",
21 "captionKey": "enum.principalpositiontype.lessee",
22 "caption": "Lessee"
23 },
24 "sourceTableNameEqual": {
25 "name": "MASTER_AGREEMENT",
26 "captionKey": "enum.SourceTable.field",
27 "caption": "MASTER_AGREEMENT"
28 },
29 "sourceFieldNameCaptionLike": "Contract"
30}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved ERP field mappings |
Inline |
|
400 |
Invalid filter criteria |
None |
|
500 |
Internal server error |
None |
Example Responses
1[
2 {
3 "id": 5000001,
4 "erpSystem": {
5 "id": "string",
6 "displayId": "Euro"
7 },
8 "principalPositionType": {
9 "name": "LESSEE",
10 "captionKey": "enum.principalpositiontype.lessee",
11 "caption": "Lessee"
12 },
13 "sourceTableName": {
14 "name": "MASTER_AGREEMENT",
15 "captionKey": "enum.SourceTable.field",
16 "caption": "MASTER_AGREEMENT"
17 },
18 "sourceField": {
19 "id": 67890,
20 "sourceFieldName": "CONTRACT_NUMBER",
21 "sourceFieldNameCaption": "Contract Number",
22 "sourceFieldNameDataType": {
23 "name": "MASTER_AGREEMENT",
24 "captionKey": "enum.SourceTable.field",
25 "caption": "MASTER_AGREEMENT"
26 },
27 "mappingId": 5000001
28 }
29 }
30]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing the mapping of ERP fields within the Nakisa Lease Accounting Suite, facilitating the integration of lease, contract, financial obligation, and accounting entry data for streamlined financial reporting and compliance.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» erpSystem |
true |
none |
Data transfer object representing a unique identifier for leases, contracts, and financial obligations within the Nakisa Lease Accounting Suite, facilitating accurate tracking and management of accounting entries. |
|
»» id |
string(int64) |
false |
none |
Unique identifier for the resource |
»» displayId |
string |
false |
none |
Unique identifier for the display |
» principalPositionType |
true |
none |
Represents the type of principal position with localized captions. |
|
»» name |
string |
false |
none |
Enum name representing the principal position type. |
»» captionKey |
string |
false |
none |
Localization key for the principal position type caption. |
»» caption |
string |
false |
none |
Localized caption of the principal position type. |
» sourceTableName |
true |
none |
Represents the Source Field Values. |
|
»» name |
string |
false |
none |
Enum name representing the source field. |
»» captionKey |
string |
false |
none |
Source Field values. |
»» caption |
string |
false |
none |
Source Field Values. |
» sourceField |
true |
none |
Data transfer object representing a source field within the Nakisa Lease Accounting Suite, encapsulating essential attributes related to leases, contracts, financial obligations, and accounting entries. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» sourceFieldName |
string |
true |
none |
Name of the source field |
»» sourceFieldNameCaption |
string |
true |
none |
Caption representing the name of the source field associated with lease, contract, financial obligation, or accounting entry within the Nakisa Lease Accounting Suite. |
»» sourceFieldNameDataType |
true |
none |
Represents the Source Field Values. |
|
»» mappingId |
integer(int64) |
false |
none |
Unique identifier for the mapping |
Enumerated Values
Attribute |
Value |
|---|---|
name |
ACTIVATION_GROUP_ACCOUNTING, ACTIVATION_GROUP_CLASSIFICATION, ACTIVATION_GROUP_USER_DEFINED, CHARGE, CONTRACT, CONTRACT_ACCOUNTING, CONTRACT_USER_DEFINED, LEASE_COMPONENT, LEASE_COMPONENT_USER_DEFINED, LESSEE, LESSOR, MASTER_AGREEMENT, MASTER_AGREEMENT_USER_DEFINED, UNIT, UNIT_USER_DEFINED |
Get Custom Reference Mapping Options¶
HTTP Request
POST /api/v1/erp-field-mapping/custom-reference-mapping-options
📋 Description: Creates custom reference mapping options for lease, contract, and financial obligation entries within the Nakisa Lease Accounting Suite, facilitating accurate accounting entries and streamlined data integration.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing the custom reference mapping options for leases, contracts, and financial obligations to facilitate accurate accounting entry integration. |
Body Parameters
1{
2 "principalPositionType": {
3 "name": "LESSEE",
4 "captionKey": "enum.principalpositiontype.lessee",
5 "caption": "Lessee"
6 },
7 "erpSystem": {
8 "id": "string",
9 "displayId": "Euro"
10 }
11}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved custom reference mapping options |
Inline |
|
400 |
Invalid request body |
None |
|
500 |
Internal server error |
None |
Example Responses
1[
2 {
3 "principalPositionType": {
4 "name": "LESSEE",
5 "captionKey": "enum.principalpositiontype.lessee",
6 "caption": "Lessee"
7 },
8 "erpSystem": {
9 "id": "string",
10 "displayId": "Euro"
11 },
12 "mappingTarget": {
13 "name": "LEDGER_TRANSACTION",
14 "captionKey": "enum.mappingTargetType.ledgerTransaction",
15 "caption": "Ledger Transaction"
16 },
17 "referenceKey": "LEDGER_TRANS_REF_001",
18 "captionKey": "mapping.option.ledger.transaction",
19 "caption": "Ledger Transaction Mapping"
20 }
21]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a customizable mapping option for lease-related references within the Nakisa Lease Accounting Suite, facilitating the alignment of contracts, financial obligations, and accounting entries.] |
|
» principalPositionType |
false |
none |
Represents the type of principal position with localized captions. |
|
»» name |
string |
false |
none |
Enum name representing the principal position type. |
»» captionKey |
string |
false |
none |
Localization key for the principal position type caption. |
»» caption |
string |
false |
none |
Localized caption of the principal position type. |
» erpSystem |
false |
none |
Data transfer object representing a unique identifier for leases, contracts, and financial obligations within the Nakisa Lease Accounting Suite, facilitating accurate tracking and management of accounting entries. |
|
»» id |
string(int64) |
false |
none |
Unique identifier for the resource |
»» displayId |
string |
false |
none |
Unique identifier for the display |
» mappingTarget |
false |
none |
Represents the type of mapping target for ERP field mapping operations. |
|
»» name |
string |
false |
none |
Enum name representing the mapping target type. |
»» captionKey |
string |
false |
none |
Localization key for the mapping target type caption. |
»» caption |
string |
false |
none |
Localized caption of the mapping target type. |
» referenceKey |
string |
false |
none |
Unique identifier for mapping custom references related to leases, contracts, and financial obligations within the Nakisa Lease Accounting Suite. |
» captionKey |
string |
false |
none |
Unique identifier for the caption associated with lease contracts and financial obligations within the Nakisa Lease Accounting Suite. |
» caption |
string |
false |
none |
Descriptive text associated with a lease or contract, providing context for financial obligations and accounting entries within the Nakisa Lease Accounting Suite. |
Enumerated Values
Attribute |
Value |
|---|---|
name |
LEDGER_ENTRY, LEDGER_TRANSACTION, LESSEE, LESSOR |
Get ERP Field Mappings¶
HTTP Request
GET /api/v1/erp-field-mapping
📋 Description: Retrieves the ERP field mapping configurations used for aligning lease and contract data with financial obligations and accounting entries within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Page number (0-indexed) |
size |
query |
integer |
false |
Number of items per page |
sort |
query |
array[string] |
false |
Sorting criteria in format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1, Max: 100 |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved list of ERP field mappings. |
Example Responses
1{
2 "totalElements": 10000001,
3 "totalPages": 100,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 100,
17 "size": 100,
18 "content": [],
19 "number": 0,
20 "sort": {
21 "unsorted": false,
22 "sorted": true,
23 "empty": false
24 },
25 "first": true,
26 "last": false,
27 "empty": false
28}
Get Nla Mapping Tables¶
HTTP Request
GET /api/v1/erp-field-mapping/mapping-nla-tables
📋 Description: Retrieves the mapping of NLA tables related to lease, contract, financial obligation, and accounting entry within the Nakisa Lease Accounting Suite, facilitating seamless data integration and management.
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved NLA mapping tables |
Inline |
|
500 |
Internal server error |
None |
Example Responses
1[
2 {
3 "name": "MASTER_AGREEMENT",
4 "captionKey": "enum.SourceTable.field",
5 "caption": "MASTER_AGREEMENT"
6 }
7]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Represents the Source Field Values.] |
|
» name |
string |
false |
none |
Enum name representing the source field. |
» captionKey |
string |
false |
none |
Source Field values. |
» caption |
string |
false |
none |
Source Field Values. |
Enumerated Values
Attribute |
Value |
|---|---|
name |
ACTIVATION_GROUP_ACCOUNTING, ACTIVATION_GROUP_CLASSIFICATION, ACTIVATION_GROUP_USER_DEFINED, CHARGE, CONTRACT, CONTRACT_ACCOUNTING, CONTRACT_USER_DEFINED, LEASE_COMPONENT, LEASE_COMPONENT_USER_DEFINED, MASTER_AGREEMENT, MASTER_AGREEMENT_USER_DEFINED, UNIT, UNIT_USER_DEFINED |
Delete ERP Field Mappings¶
HTTP Request
DELETE /api/v1/erp-field-mapping/delete
📋 Description: Deletes specified ERP field mappings within the Nakisa Lease Accounting Suite, ensuring the accurate management of lease, contract, and financial obligation data in accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing the identifiers for the lease, contract, or financial obligation to be deleted from the accounting entries in the Nakisa Lease Accounting Suite. |
Body Parameters
1[
2 {
3 "id": 5000001,
4 "erpSystem": {
5 "id": "string",
6 "displayId": "Euro"
7 },
8 "principalPositionType": {
9 "name": "LESSEE",
10 "captionKey": "enum.principalpositiontype.lessee",
11 "caption": "Lessee"
12 },
13 "sourceTableName": {
14 "name": "MASTER_AGREEMENT",
15 "captionKey": "enum.SourceTable.field",
16 "caption": "MASTER_AGREEMENT"
17 },
18 "sourceField": {
19 "id": 67890,
20 "sourceFieldName": "CONTRACT_NUMBER",
21 "sourceFieldNameCaption": "Contract Number",
22 "sourceFieldNameDataType": {
23 "name": "MASTER_AGREEMENT",
24 "captionKey": "enum.SourceTable.field",
25 "caption": "MASTER_AGREEMENT"
26 },
27 "mappingId": 5000001
28 }
29 }
30]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
ERP field mappings deleted successfully |
||
400 |
Invalid request body |
None |
|
404 |
One or more ERP field mappings not found |
None |
|
500 |
Internal server error |
None |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {}
7}